var Api = {
    Server: 'http://crickethd.net/api/mobile/'
};

function getParameterByName(name) {
    name = name.replace(/[\[]/, "\\[").replace(/[\]]/, "\\]");
    var regex = new RegExp("[\\?&]" + name + "=([^&#]*)"),
        results = regex.exec(location.search);
    return results === null ? "" : decodeURIComponent(results[1].replace(/\+/g, " "));
}

function alertDismissed()
{

}

document.addEventListener("deviceready", function()
{
    if(device.model.match(/(iPad)/g))
    {
        document.getElementById("viewport").setAttribute("content", "width=device-width, initial-scale=1.0, maximum-scale=1.0, target-densitydpi=medium-dpi, user-scalable=0");
    }
}, false);

var App = {
    connectAsUser: function()
    {
        var Details = {
            username: $('.form-signin').find('input[name="username"]').val(),
            password: $('.form-signin').find('input[name="password"]').val(),
        }
        if(Details.username.length === 0)
        {
            navigator.notification.alert(
                'Username is required!',
                alertDismissed,
                'Attention', 
                'OK'
            ); 
        }
        else if(Details.password.length === 0)
        {
            navigator.notification.alert(
                'Password is required!',
                alertDismissed,
                'Attention', 
                'OK'
            ); 
        }
        else
        {
            $.ajax({
                url: Api.Server + 'getPackages',
                jsonp: "callback",
                dataType: "jsonp",
                data: {
                	initial: "1",
                    username: Details.username,
                    password: Details.password,
                },
                // Work with the response
                success: function( response )
                {
                    if( response.status == '-6')
                    {
                        navigator.notification.alert(
                            'Incorrect credentials or No active subscription',
                             alertDismissed,
                            'Attention', 
                            'OK'
                        ); 
                    }
                    else if ( response.status == 1 )
                    {
                        // All it's okay.
                        if($('input[name="autologin"]').is(':checked'))
                        {
                            localStorage.setItem('username', Details.username);
                            localStorage.setItem('password', Details.password);
                        }

                        localStorage.setItem('current_packages', JSON.stringify(response.products));

                        localStorage.setItem('current_password', Details.password);
                        localStorage.setItem('current_account', Details.username);

                        localStorage.setItem('current_token', response.token);
                        localStorage.setItem('logged_time', Math.round(+new Date()/1000));

                        window.location.href = 'account.html';
                    }
                },
                error: function(data, text, t)
                {
                }
            });
        }
    },
    logoutUser: function()
    {
        localStorage.removeItem('current_account');
        localStorage.removeItem('current_packages');
        localStorage.removeItem('username');
        localStorage.removeItem('password');
        localStorage.removeItem('logged_time');
        localStorage.removeItem('current_token');
        
        window.location.href = 'index.html';
    }
}

$(document).ready(function()
{
    
    if(localStorage.getItem('username'))
    {
        $('.form-signin').find('input[name="username"]').val(localStorage.getItem('username'));
        $('.form-signin').find('input[name="password"]').val(localStorage.getItem('password'));
        $('.form-signin').find('input[name="autologin"]').prop('checked', true);
    }

    $('.form-signin').on('submit', function(e)
    {
        e.preventDefault();
        App.connectAsUser();
    });
});